//
//Date: 2010/11/14;
//Author: Peter Hansen, Zhuo Huang and Howard Shek
//Purpose: Main codes to estimate log-linear RealGARCH(1,2) model
//

#include <oxstd.h>
#include <oxfloat.h>
#import <database>
#import <maximize>
#include <oxprob.h> 
#import<maxsqp>

//include the code that defines the RealGARCH class;
  #include "Class_RealGARCH12.ox"   
// #include "temp.ox"   
 


//The function to read data from Excel sheet; 	  
ReadData(){

        decl DataFileIn="Data\SPY-short.xls";	   
	    decl Data=loadmat (DataFileIn,1) ;
	    return Data;
 }



 
//Main function to run the log-linear RealGARCH(1,2) model; 
 
main(){

	//Read data
   	decl Data=ReadData();

	//define an object of the RealGARCH class; 
   	decl Obj0= new RealGARCH(Data);

	//Initialize parameters
	Obj0.InitPar();

	//Estimate the model
	Obj0.DoEstimate();

	//Output results
	Obj0.Output();
	
    return 1;
  
 }





  
